pandoc-lua-marshal-0.3.2.1: Use pandoc types in Lua

Copyright | © 2021-2026 Albert Krewinkel
License | MIT
Maintainer | Albert Krewinkel <albert@zeitkraut.de>
Safe Haskell | None
Language | Haskell2010

Text.Pandoc.Lua.Marshal.SimpleTable

Description

Definition and marshaling of the `SimpleTable` data type used as a convenience type when dealing with tables.

Synopsis

- data SimpleTable = SimpleTable {
  - simpleTableCaption :: [Inline]
  - simpleTableAlignments :: [Alignment]
  - simpleTableColumnWidths :: [Double]
  - simpleTableHeader :: [[Block]]
  - simpleTableBody :: [[[Block]]]
  }
- peekSimpleTable :: LuaError e => Peeker e SimpleTable
- pushSimpleTable :: LuaError e => SimpleTable -> LuaE e ()
- mkSimpleTable :: LuaError e => DocumentedFunction e

# Documentation

data SimpleTable Source #

A simple (legacy-style) table.

Constructors

SimpleTable |

Fields

- simpleTableCaption :: [Inline]
- simpleTableAlignments :: [Alignment]
- simpleTableColumnWidths :: [Double]
- simpleTableHeader :: [[Block]]
- simpleTableBody :: [[[Block]]]

#### Instances

Instances details

Show SimpleTable Source # |
Instance details Defined in Text.Pandoc.Lua.Marshal.SimpleTable Methods showsPrec :: Int -> SimpleTable -> ShowS Source # show :: SimpleTable -> String Source # showList :: [SimpleTable] -> ShowS Source #
Eq SimpleTable Source # |
Instance details Defined in Text.Pandoc.Lua.Marshal.SimpleTable Methods (==) :: SimpleTable -> SimpleTable -> Bool Source # (/=) :: SimpleTable -> SimpleTable -> Bool Source #

peekSimpleTable :: LuaError e => Peeker e SimpleTable Source #

Retrieve a simple table from the stack.

pushSimpleTable :: LuaError e => SimpleTable -> LuaE e () Source #

Push a simple table to the stack by calling the `pandoc.SimpleTable` constructor.

mkSimpleTable :: LuaError e => DocumentedFunction e Source #

Constructor for the `SimpleTable` type.